Bug 1321208 - Review Request: julietaula-montserrat-fonts - Sans-serif typeface created by Julieta Ulanovsky
Summary: Review Request: julietaula-montserrat-fonts - Sans-serif typeface created by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-25 00:37 UTC by Luya Tshimbalanga
Modified: 2016-04-02 15:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-29 23:20:09 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2016-03-25 00:37:48 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/julietaula-montserrat-fonts.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/julietaula-montserrat-fonts-20151221-1.fc23.src.rpm
Description: A typeface created by Julieta Ulanovsky inspired by signs around 
the Montserrat area of Buenos Aires, Argentina
Fedora Account System Username: luya

Comment 1 Luya Tshimbalanga 2016-03-25 00:45:03 UTC
Scratch build result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13450907

rpmlint result:
$ rpmlint rpmbuild/SRPMS/julietaula-montserrat-fonts-20151221-1.fc23.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SPECS/julietaula-montserrat-fonts.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Luya Tshimbalanga 2016-03-25 03:55:04 UTC
(In reply to Luya Tshimbalanga from comment #1)
> Scratch build result:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=13450907

Disregard the first scratch build because it is older version. 
http://koji.fedoraproject.org/koji/taskinfo?taskID=13451967

Comment 3 Igor Gnatenko 2016-03-25 07:48:29 UTC
One small note - move appstream-util call to check section.

Comment 4 Luya Tshimbalanga 2016-03-25 16:49:14 UTC
(In reply to Igor Gnatenko from comment #3)
> One small note - move appstream-util call to check section.

Done. Here is the updated spec and new srpm:
SPEC url: https://luya.fedorapeople.org/packages/SPECS/julietaula-montserrat-fonts.spec

SRMP url: https://luya.fedorapeople.org/packages/SRPMS/julietaula-montserrat-fonts-20151221-2.fc23.src.rpm

Note: appdata guideline was unclear about appstream-util located on %check section, it mentioned either that or %install. Perhaps updating a spec file example for good reference.

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-03-25 17:35:38 UTC
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

+ license is acceptable (OFL)
+ license file is present
+ version is recent (git snapshot)
+ provides/requires look OK
+ font packaging guidelines are followed

One question: why do you add separate otf, ttf subdirs? Other font packages don't do that afaics. There's a problem with directory ownership too: No known owner of /usr/share/fonts/julietaula-montserrat/otf, /usr/share/fonts/julietaula-montserrat/ttf.

Comment 6 Luya Tshimbalanga 2016-03-25 17:55:44 UTC
Here is the updated files addressing following issues:
- Change %doc to %license
- Deleted oft and ttf subdirectories

SPEC url: https://luya.fedorapeople.org/packages/SPECS/julietaula-montserrat-fonts.spec

SRMP url: https://luya.fedorapeople.org/packages/SRPMS/julietaula-montserrat-fonts-20151221-3.fc23.src.rpm

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-03-25 18:11:51 UTC
$ appstream-util validate /usr/share/appdata/julietaula-montserrat.metainfo.xml
/usr/share/appdata/julietaula-montserrat.metainfo.xml: FAILED:
• style-invalid         : Not enough <p> tags for a good description
Validation of files failed

Would be nice to extend the description with a second paragraph to make gnome-software happy.

No other issues. Package is APPROVED.

Comment 8 Luya Tshimbalanga 2016-03-25 18:40:47 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> $ appstream-util validate
> /usr/share/appdata/julietaula-montserrat.metainfo.xml
> /usr/share/appdata/julietaula-montserrat.metainfo.xml: FAILED:
> • style-invalid         : Not enough <p> tags for a good description
> Validation of files failed
> 
> Would be nice to extend the description with a second paragraph to make
> gnome-software happy.
> 
> No other issues. Package is APPROVED.

Thank you, Zbigniew. appstram-util is too picky sometimes. I will do on the next update.

Comment 9 Fedora Update System 2016-03-27 18:16:24 UTC
julietaula-montserrat-fonts-20151221-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d998681c55

Comment 10 Igor Gnatenko 2016-03-27 18:22:13 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> $ appstream-util validate
> /usr/share/appdata/julietaula-montserrat.metainfo.xml
> /usr/share/appdata/julietaula-montserrat.metainfo.xml: FAILED:
> • style-invalid         : Not enough <p> tags for a good description
> Validation of files failed

validate-relax ;)

Comment 11 Fedora Update System 2016-03-27 18:26:30 UTC
julietaula-montserrat-fonts-20151221-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8a0763ef

Comment 12 Fedora Update System 2016-03-27 18:27:35 UTC
julietaula-montserrat-fonts-20151221-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae2c22107d

Comment 13 Fedora Update System 2016-03-27 18:28:36 UTC
julietaula-montserrat-fonts-20151221-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c72af3d2a

Comment 14 Fedora Update System 2016-03-27 18:29:33 UTC
julietaula-montserrat-fonts-20151221-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7dc6c6d417

Comment 15 Zbigniew Jędrzejewski-Szmek 2016-03-27 20:34:32 UTC
(In reply to Igor Gnatenko from comment #10)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> > $ appstream-util validate
> > /usr/share/appdata/julietaula-montserrat.metainfo.xml
> > /usr/share/appdata/julietaula-montserrat.metainfo.xml: FAILED:
> > • style-invalid         : Not enough <p> tags for a good description
> > Validation of files failed
> 
> validate-relax ;)

The spec file has validate-relax already, and that's the right thing to use for %check. But it's sometimes good to check what the "non-relax" version says.

Comment 16 Fedora Update System 2016-03-28 20:49:39 UTC
julietaula-montserrat-fonts-20151221-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8a0763ef

Comment 17 Fedora Update System 2016-03-28 20:55:07 UTC
julietaula-montserrat-fonts-20151221-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d998681c55

Comment 18 Fedora Update System 2016-03-29 23:20:07 UTC
julietaula-montserrat-fonts-20151221-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-04-02 15:55:54 UTC
julietaula-montserrat-fonts-20151221-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.